Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE 4.4.1 stabil lassen?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
bas89
Apprentice
Apprentice


Joined: 02 Mar 2010
Posts: 243
Location: Germany ;)

PostPosted: Sun Mar 21, 2010 2:13 pm    Post subject: KDE 4.4.1 stabil lassen? Reply with quote

Hallo :)

Ich habe mittels dieser Anleitung KDE 4.3.5 auf 4.4.1 aktualisiert und musste dazu noch einige andere Pakete in ~x86 aufnehmen wegen der Abhängigkeiten:
Code:
dev-python/PyQt4
dev-python/sip
sys-auth/polkit-kde
sys-auth/polkit-qt
dev-libs/shared-desktop-ontologies
dev-libs/eggdbus
sys-auth/consolekit
sys-auth/policykit-qt


Kann ich nun alle diese Sachen wieder aus den Keywords rausnehmen, abwarten dass sie stabil werden und dann wieder mit Aktualisierungen rechnen? Also ohne Probleme? Oder gibt es etwas zu beachten?

Steht das eigentlich irgendwo (vielleicht ein RSS-Feed o.ä.), wann mit neuen großen Projektversionen (KDE, Gnome, Kernel, ..) instabil/stabil gerechnet werden kann? Es ist doch alles etwas unübersichtlich in der Gentoo-Welt.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sun Mar 21, 2010 2:42 pm    Post subject: Re: KDE 4.4.1 stabil lassen? Reply with quote

bas89 wrote:
Kann ich nun alle diese Sachen wieder aus den Keywords rausnehmen, abwarten dass sie stabil werden und dann wieder mit Aktualisierungen rechnen?

Das geht nicht. Die Pakete werden ja nicht (nur) zum Kompilieren gebraucht, policykit, PyQt4 usw. sind ja auch zur Laufzeit nötig. Wenn du jetzt downgradest kannst du dir Probleme einfangen. Also lass es in package.keywords stehen.
Du kannst aber nur die nötige Version freigeben, dass du nicht ständig die neuesten Testing-Sachen aktualisiert bekommst. Und wenn kde-4.4 stable wird hast du automatisch auch bei den ABhängigkeiten wieder die stabilen Versionen.
Back to top
View user's profile Send private message
bas89
Apprentice
Apprentice


Joined: 02 Mar 2010
Posts: 243
Location: Germany ;)

PostPosted: Sun Mar 21, 2010 3:11 pm    Post subject: Re: KDE 4.4.1 stabil lassen? Reply with quote

franzf wrote:

Du kannst aber nur die nötige Version freigeben, dass du nicht ständig die neuesten Testing-Sachen aktualisiert bekommst.

Und wie mache ich das mit vertretbarem Aufwand? Ich müsste ja in jeder Zeile „=[Paket]-[aktuell-installiere-version]” hinzufügen...
Quote:
Und wenn kde-4.4 stable wird hast du automatisch auch bei den ABhängigkeiten wieder die stabilen Versionen.
Genauso soll’s sein :)
Back to top
View user's profile Send private message
toralf
Developer
Developer


Joined: 01 Feb 2004
Posts: 3686
Location: Hamburg

PostPosted: Sun Mar 21, 2010 5:10 pm    Post subject: Re: KDE 4.4.1 stabil lassen? Reply with quote

bas89 wrote:
Und wie mache ich das mit vertretbarem Aufwand? Ich müsste ja in jeder Zeile „=[Paket]-[aktuell-installiere-version]” hinzufügen...
Genau, z.B. hilft vielleicht etwas in der Art
Code:
cat <file> | xargs -n1 -I{} qlist -CS {} | sed 's/^/=/'
Back to top
View user's profile Send private message
bas89
Apprentice
Apprentice


Joined: 02 Mar 2010
Posts: 243
Location: Germany ;)

PostPosted: Sun Mar 21, 2010 5:18 pm    Post subject: Reply with quote

Es funktioniert fast, es müsste nur statt eines Leerzeichen ein - zwischen Paketname und Version... Wie geht das? Sorry, von diesen freakigen Sachen wie „sed“ kann und will ich nicht alles verstehen müssen :D

Aber ich werd mir den Befehl dann für die Zukunft notieren :)
Back to top
View user's profile Send private message
Evildad
Guru
Guru


Joined: 15 Apr 2004
Posts: 475

PostPosted: Sun Mar 21, 2010 5:27 pm    Post subject: Reply with quote

Abgesehen davon würde ich raten statt einem "=" ein "~" zu setzen, damit Du auch Patch-Releases bekommst.

Ändere den letzten sed Befehl mal zu dem hier ab und das Leerzeichen sollte weg sein.

Code:
sed -e 's/^/=/'  -e 's/\ /-/'


Falls Du ne Tilde haben willst:

Code:
sed -e 's/^/~/'  -e 's/\ /-/'
Back to top
View user's profile Send private message
bas89
Apprentice
Apprentice


Joined: 02 Mar 2010
Posts: 243
Location: Germany ;)

PostPosted: Sun Mar 21, 2010 5:36 pm    Post subject: Reply with quote

Also eher
Code:
sed -e 's/^/~/'  -e 's/\ /-/'

?

Edit: Jau, top! Ich danke euch. Ist schon etwas anders als Klickibunti.
Back to top
View user's profile Send private message
Evildad
Guru
Guru


Joined: 15 Apr 2004
Posts: 475

PostPosted: Sun Mar 21, 2010 5:39 pm    Post subject: Reply with quote

Ich würde ja sagen.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sun Mar 21, 2010 5:39 pm    Post subject: Reply with quote

Evildad wrote:
Abgesehen davon würde ich raten statt einem "=" ein "~" zu setzen, damit Du auch Patch-Releases bekommst.

Naja, es kommt doch immer wieder vor dass (z.B.) die -r1 stable geht und die -r2 testing bleibt. Da hast du dann ein Testing-Paket installiert obwohl du es gar nicht willst ;)
Back to top
View user's profile Send private message
Evildad
Guru
Guru


Joined: 15 Apr 2004
Posts: 475

PostPosted: Sun Mar 21, 2010 5:43 pm    Post subject: Reply with quote

franzf wrote:
Evildad wrote:
Abgesehen davon würde ich raten statt einem "=" ein "~" zu setzen, damit Du auch Patch-Releases bekommst.

Naja, es kommt doch immer wieder vor dass (z.B.) die -r1 stable geht und die -r2 testing bleibt. Da hast du dann ein Testing-Paket installiert obwohl du es gar nicht willst ;)


Ok das ist ein Punkt aber wenn es ein Major Release gibt wird das nicht installiert und man ist wieder stable. :D
Back to top
View user's profile Send private message
bas89
Apprentice
Apprentice


Joined: 02 Mar 2010
Posts: 243
Location: Germany ;)

PostPosted: Sun Mar 21, 2010 5:48 pm    Post subject: Reply with quote

Losgelassen auf die anfangs genannte Datei ergeben sich am Ende jedoch seltsame Einträge wie

Quote:
~kde-base/kdebase-meta-4.4
~kde-base/kdebase-runtime-meta-4.4
~kde-base/kdepim-meta-4.4
~dev-libs/libattica-0
~dev-python/PyQt4-0
~dev-python/sip-0
~sys-auth/polkit-kde-4
~sys-auth/polkit-qt-0
~dev-libs/shared-desktop-ontologies-0
~dev-libs/eggdbus-1
~sys-auth/consolekit-0
~sys-auth/policykit-qt-0

Code:

eix pyqt
[I] dev-python/PyQt4
     Available versions:  4.5.4-r4 4.6.2 4.7 (~)4.7.2 {X assistant +dbus debug doc examples kde multimedia opengl phonon sql svg webkit xmlpatterns}
     Installed versions:  4.7.2(17:38:04 21.03.2010)(X dbus kde multimedia opengl phonon sql svg webkit -assistant -debug -doc -examples -xmlpatterns)


Woher die -0?
Back to top
View user's profile Send private message
Evildad
Guru
Guru


Joined: 15 Apr 2004
Posts: 475

PostPosted: Sun Mar 21, 2010 5:51 pm    Post subject: Reply with quote

bas89 wrote:


Woher die -0?


Das ist die Slotnummer, da der qlist Befehl hier nicht die beste Lösung ist.
Back to top
View user's profile Send private message
Qubit
Tux's lil' helper
Tux's lil' helper


Joined: 23 Sep 2002
Posts: 136
Location: /dev/urandom

PostPosted: Mon Mar 22, 2010 5:31 pm    Post subject: Reply with quote

Ok, nicht die schönste Lösung, aber.... ;)

Code:

for i in `cat <file>`;do echo -n "~${i}-";eix -A "$i"|grep 'Installed'|cut -d "(" -f1|cut -d ":" -f2|tr -d " ";done

_________________
©Qubit
Back to top
View user's profile Send private message
Evildad
Guru
Guru


Joined: 15 Apr 2004
Posts: 475

PostPosted: Mon Mar 22, 2010 7:07 pm    Post subject: Reply with quote

Qubit wrote:
Ok, nicht die schönste Lösung, aber.... ;)

Code:

for i in `cat <file>`;do echo -n "~${i}-";eix -A "$i"|grep 'Installed'|cut -d "(" -f1|cut -d ":" -f2|tr -d " ";done


tut nicht :-)
Code:
for i in `cat test`;do echo -n "~${i}-";eix -A "$i"|grep 'Installed'|cut -d "(" -f1|cut -d ":" -f2|tr -d " ";done
~dev-python/PyQt4-4.7
~dev-python/sip-4.10
~sys-auth/polkit-kde-~sys-auth/polkit-qt-~dev-libs/shared-desktop-ontologies-~dev-libs/eggdbus-0.6
~sys-auth/consolekit-0.4.1
~sys-auth/policykit-qt-
Back to top
View user's profile Send private message
Qubit
Tux's lil' helper
Tux's lil' helper


Joined: 23 Sep 2002
Posts: 136
Location: /dev/urandom

PostPosted: Mon Mar 22, 2010 8:12 pm    Post subject: Reply with quote

Evildad wrote:
Qubit wrote:
Ok, nicht die schönste Lösung, aber.... ;)

Code:

for i in `cat <file>`;do echo -n "~${i}-";eix -A "$i"|grep 'Installed'|cut -d "(" -f1|cut -d ":" -f2|tr -d " ";done


tut nicht :-)
Code:
for i in `cat test`;do echo -n "~${i}-";eix -A "$i"|grep 'Installed'|cut -d "(" -f1|cut -d ":" -f2|tr -d " ";done
~dev-python/PyQt4-4.7
~dev-python/sip-4.10
~sys-auth/polkit-kde-~sys-auth/polkit-qt-~dev-libs/shared-desktop-ontologies-~dev-libs/eggdbus-0.6
~sys-auth/consolekit-0.4.1
~sys-auth/policykit-qt-


hmm, hier die etwas bissfestere Variante:

Code:
 for i in `cat <file>`;do echo -n "~${i}-";eix -ceA "$i"|sed 's/.*(\(.*\)).*/\1/'|cut -d "@" -f1|tr -d "~";done


Gruß Daniel
_________________
©Qubit
Back to top
View user's profile Send private message
Evildad
Guru
Guru


Joined: 15 Apr 2004
Posts: 475

PostPosted: Mon Mar 22, 2010 8:14 pm    Post subject: Reply with quote

Fast aber noch nicht ganz :-)

Code:

~dev-python/PyQt4-)4.7.2
~dev-python/sip-)4.10.1
~sys-auth/polkit-kde-4)
~sys-auth/polkit-qt-)0.95.1
~dev-libs/shared-desktop-ontologies-)0.3
~dev-libs/eggdbus-1)
~sys-auth/consolekit-0.4.1
~sys-auth/policykit-qt-)0.9.3
Back to top
View user's profile Send private message
boospy
Apprentice
Apprentice


Joined: 07 Feb 2010
Posts: 299
Location: Austria

PostPosted: Tue Apr 27, 2010 7:41 pm    Post subject: Reply with quote

Hallo Leute

Sagt mal wisst ihr wann KDE4.4 in Gentoo stable wird? Gibts irgendwo so ne Art Kalender wann was geplant ist?

lg
boospy
Back to top
View user's profile Send private message
bas89
Apprentice
Apprentice


Joined: 02 Mar 2010
Posts: 243
Location: Germany ;)

PostPosted: Tue Apr 27, 2010 7:47 pm    Post subject: Reply with quote

Quote:
Steht das eigentlich irgendwo (vielleicht ein RSS-Feed o.ä.), wann mit neuen großen Projektversionen (KDE, Gnome, Kernel, ..) instabil/stabil gerechnet werden kann? Es ist doch alles etwas unübersichtlich in der Gentoo-Welt.


Joa, habe ich am Anfang auch schon gefragt... :)
Back to top
View user's profile Send private message
Polynomial-C
Developer
Developer


Joined: 01 Jun 2003
Posts: 1423
Location: germany

PostPosted: Wed Apr 28, 2010 6:20 am    Post subject: Reply with quote

Also einen Kalender oder eine deadline gibt es nicht, aber es gibt einen sogenannten Tracker-bug, der alle Bugs, die die Stabilisierung von kde-4.4 verhindern, auflistet:

bug 313999
_________________
The manual said "Requires Windows10 or better" so I installed GNU/Linux...

my portage overlay

Need a stage1 tarball? (Unofficial builds)
Back to top
View user's profile Send private message
boospy
Apprentice
Apprentice


Joined: 07 Feb 2010
Posts: 299
Location: Austria

PostPosted: Wed Apr 28, 2010 7:37 am    Post subject: Reply with quote

Polynomial-C wrote:
Also einen Kalender oder eine deadline gibt es nicht, aber es gibt einen sogenannten Tracker-bug, der alle Bugs, die die Stabilisierung von kde-4.4 verhindern, auflistet:
bug 313999


Wow, da gibts wohl noch ganz schön Probleme. Ok Danke.

lg
boospy
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum